package bean.filters;

import java.util.Date;

public class DelegheSepaFilterBean {
	
	private String  Abi;
	private Integer count;
	private Integer numeroMandati;
	private String  statoAllineamento;
	
	private String tipo;
	private String statoDelega;
	private boolean cbDaDataApertura;
	private Date daDataApertura;
	private boolean cbADataApertura;
	private Date aDataApertura;
	private boolean cbDaDataChiusura;
	private Date daDataChiusura;
	private boolean cbADataChiusura;
	private Date aDataChiusura;
	private String codiceDelega;
	private boolean aggregazioneABI;
	private String codiceAbi;
	private String codiceDestinatario;
	private String codiceClienteDebitore;
	private Integer idOrdinante;

	public String getAbi() {
		return Abi;
	}
	public void setAbi(String abi) {
		Abi = abi;
	}
	public Integer getCount() {
		return count;
	}
	public void setCount(Integer count) {
		this.count = count;
	}
	public Integer getNumeroMandati() {
		return numeroMandati;
	}
	public void setNumeroMandati(Integer numeroMandati) {
		this.numeroMandati = numeroMandati;
	}
	public String getStatoAllineamento() {
		return statoAllineamento;
	}
	public void setStatoAllineamento(String statoAllineamento) {
		this.statoAllineamento = statoAllineamento;
	}

	
	public String getTipo() {
		return tipo;
	}
	public void setTipo(String tipo) {
		this.tipo = tipo;
	}
	public String getStatoDelega() {
		return statoDelega;
	}
	public void setStatoDelega(String statoDelega) {
		this.statoDelega = statoDelega;
	}
	public Date getDaDataApertura() {
		return daDataApertura;
	}
	public void setDaDataApertura(Date daDataApertura) {
		if (daDataApertura!=null)
		this.daDataApertura = (Date)daDataApertura;
	}
	public Date getaDataApertura() {
		return aDataApertura;
	}
	public void setaDataApertura(Date aDataApertura) {
		if (aDataApertura!=null)
		this.aDataApertura = (Date) aDataApertura;
	}
	public Date getDaDataChiusura() {
		return daDataChiusura;
	}
	public void setDaDataChiusura(Date daDataChiusura) {
		if (daDataChiusura!=null)
			this.daDataChiusura = (Date) daDataChiusura;
	}
	public Date getaDataChiusura() {
		return aDataChiusura;
	}
	public void setaDataChiusura(Date aDataChiusura) {
		if (aDataChiusura!=null)
			this.aDataChiusura = (Date) aDataChiusura;
	}
	public String getCodiceDelega() {
		return codiceDelega;
	}
	public void setCodiceDelega(String codiceDelega) {
		this.codiceDelega = codiceDelega;
	}
	public boolean isAggregazioneABI() {
		return aggregazioneABI;
	}
	public void setAggregazioneABI(boolean aggregazioneABI) {
		this.aggregazioneABI = aggregazioneABI;
	}
	public String getCodiceAbi() {
		return codiceAbi;
	}
	public void setCodiceAbi(String codiceAbi) {
		this.codiceAbi = codiceAbi;
	}
	public String getCodiceDestinatario() {
		return codiceDestinatario;
	}
	public void setCodiceDestinatario(String codiceDestinatario) {
		this.codiceDestinatario = codiceDestinatario;
	}
	public String getCodiceClienteDebitore() {
		return codiceClienteDebitore;
	}
	public void setCodiceClienteDebitore(String codiceClienteDebitore) {
		this.codiceClienteDebitore = codiceClienteDebitore;
	}
	public boolean isCbDaDataApertura() {
		return cbDaDataApertura;
	}
	public void setCbDaDataApertura(boolean cbDaDataApertura) {
		this.cbDaDataApertura = cbDaDataApertura;
	}
	public boolean isCbADataApertura() {
		return cbADataApertura;
	}
	public void setCbADataApertura(boolean cbADataApertura) {
		this.cbADataApertura = cbADataApertura;
	}
	public boolean isCbDaDataChiusura() {
		return cbDaDataChiusura;
	}
	public void setCbDaDataChiusura(boolean cbDaDataChiusura) {
		this.cbDaDataChiusura = cbDaDataChiusura;
	}
	public boolean isCbADataChiusura() {
		return cbADataChiusura;
	}
	public void setCbADataChiusura(boolean cbADataChiusura) {
		this.cbADataChiusura = cbADataChiusura;
	}
	public Integer getIdOrdinante() {
		return idOrdinante;
	}
	public void setIdOrdinante(Integer idOrdinante) {
		this.idOrdinante = idOrdinante;
	}
	
}
